
=pod

=head2 GridHost

=over 1

Class representing grid compute hosts.

=back
=head3 Each host has properties

=over 2

=item	NAME      (the IP host name)

=item	SCHEDULER (empty for default; PBS, SGE, LoadLeveler, etc)

=item	QUEUE     (empty for default; a local resource manager queue name)

=item	NCORES    (empty for default; number of CPU cores on a compute node)

=back

=cut

package GridHost;

sub new
{
	my $type = shift;
	my $args = shift;
	my ( $name, $scheduler, $queue, $cores_per_node ) = @$args;
	
	my $self = {
		NAME =>      $name,
		SCHEDULER => $scheduler,
		QUEUE =>     $queue,
		NCORES =>    int( $cores_per_node )
	};
	my $this = bless $self, $type;
	return $this;
}

sub name
{
	my $self = shift;
	return $self->{NAME};
}

sub numberOfCores
{
	my $self = shift;
	return $self->{NCORES};
}

sub queueName
{
	my $self = shift;
	return $self->{QUEUE};
}

sub scheduler
{
	my $self = shift;
	return $self->{SCHEDULER};
}

sub toString
{
	my $self = shift;
	return __PACKAGE__ . ': ' . $self->{NAME} . ", "
		. $self->{SCHEDULER} . ", " . $self->{QUEUE} . ", "
		. $self->{NCORES};
}

1;
