#!/usr/bin/perl

=pod
Script to kill and clean out grid jobs based on temporary EPR files.
As it kills the jobs, it removes the EPR file from the temporary directory.

Takes a single argument, a substring to match in the name of the EPR file.

=cut


use strict;

my $arg = $ARGV[0];
my $tempfile_dir = $ENV{HOME} . '/.grid_dist/';
my $dir;
opendir( $dir, $tempfile_dir );


if( $dir )
{
	while( my $item = readdir( $dir ) )
	{
		if( $item =~ /\.epr$/ 
		and ( $arg eq '' or $item =~ /$arg/ ) )
		{
			my $eprname = "$tempfile_dir/$item";
			print "$item\n";
			my $output = `globusrun-ws -kill -j $eprname`;
			my $err = $? >> 8;
			
			if( $err )
			{ 
				print "Error $err using EPR\n";
				print `globusrun-ws -status -j $eprname 1> /dev/null`;
			}
			unlink $eprname;
		}
	}
	closedir( $dir );
}


