#!/usr/bin/perl
=pod
Script to list job status based on temporary EPR files.

Takes a single argument, a substring to match in the name of the EPR file.

=cut

use strict;

my $arg = $ARGV[0];

my $tempfile_dir = $ENV{HOME} . '/.grid_dist/';

my $dir;
opendir( $dir, $tempfile_dir );


if( $dir )
{
	while( my $item = readdir( $dir ) )
	{
		if( $item =~ /\.epr$/ 
		and ( $arg eq '' or $item =~ /$arg/ ) )
		{
			print "$item: ";
			my $eprname = "$tempfile_dir/$item";
			my $output = `globusrun-ws -status -j $eprname 2> /dev/null`;
			my $err = $? >> 8;
			
			if( $err )
			{ 
				print "Error $err checking EPR\n";
				$output = `globusrun-ws -status -j $eprname 1> /dev/null`;
			}
			print $output;
			( $output eq '' ) and print "\n";
		}
	}
	closedir( $dir );
}


