#!/bin/bash

# Modify and re-name as "single.sh".

# use: 
#	single.sh GDIST.file.tgz job_dir

# Unpacks an archive and runs a binary it contains.
# The archive is assumed to be in the parent of the current directory.
# Performs cleanup, then makes ar archive of the remaining directory
# and ***overwrites*** the original archive with the result.

# This the job_dir argument allows for the possibility to do the 
# numerical run in a local filesystem, as specified by the SGE or PBS
# $TMPDIR variables

archive=$1
jobdir=$2

tmpdir='';

if [ -d $TMPDIR ]; then
	tmpdir="$ENV{TMPDIR}/$$/";
fi

tar -xf $jobdir/$archive               # unpack archive

cd GDIST                               # run scripts in unpacked directory
bash cl
./pre2.x
nice ./mcc.x                           # safest to nice the big executable

cd ..                                  # prepare result archive
tar -cf GDIST.out.tar GDIST;
gzip GDIST.out.tar
mv -f GDIST.out.tar.gz $jobdir/$archive

rm -rf GDIST                            # clean up work directory
